Bug 1919851 - Visualization does not render when Pipeline & Task share same name
Summary: Visualization does not render when Pipeline & Task share same name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: All
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1920493
TreeView+ depends on / blocked
 
Reported: 2021-01-25 09:47 UTC by Karthik Jeeyar
Modified: 2021-02-24 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Empty Visualization (32.04 KB, image/png)
2021-01-25 09:47 UTC, Karthik Jeeyar
no flags Details
Visualization renders when Pipeline & Task share same name (17.95 KB, image/png)
2021-01-27 06:54 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7910 0 None closed Bug 1919851: fix pipeline visualization with same pipeline & task name 2021-02-14 09:43:56 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:05 UTC

Description Karthik Jeeyar 2021-01-25 09:47:32 UTC
Created attachment 1750436 [details]
Empty Visualization

Description of problem:

Sharing the same name for a pipeline and one of its tasks, does not render the visualization and adding additional tasks breaks the pipeline details page.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1.Create a pipeline with below yaml
###
apiVersion: tekton.dev/v1beta1
kind: Pipeline
metadata:
  name: myapp-install
spec:
  tasks:
    - name: myapp-install
      taskRef:
        kind: Task
        name: myapp-install
###
 
2.Add an extra task using edit pipeline feature. (shouldn't throw Javascript error )


Actual results:
Pipeline visualization does not render the nodes, by adding the second task the UI breaks with the error.

Expected results:
Pipeline visualization should render the nodes and by adding more tasks the UI should not break.

Comment 2 spathak@redhat.com 2021-01-27 06:54:14 UTC
Created attachment 1751146 [details]
Visualization renders when Pipeline & Task share same name

Comment 3 spathak@redhat.com 2021-01-27 06:55:56 UTC
Verified on build version: 4.7.0-0.nightly-2021-01-26-162323
Browser version: Chrome 84

Comment 6 errata-xmlrpc 2021-02-24 15:55:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.